* {
  margin: 0;
  padding: 0;
  font-family: 'Rubik', sans-serif;
  box-sizing: border-box;
  user-select: none;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
  max-width: 320px;
}

.input-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.input-container img {
  margin-top: 1rem;
  margin-bottom: 1rem;
  width: 150px;
}

.input-container button:last-child {
  margin-top: 1rem;
  margin-bottom: 0.5rem;
}

input[type="text"], button {
  color: #432000;
  background-color: #DCE1EB;
  border: 0;
  padding: 1rem 1rem;
  border-radius: 1rem;
  font-size: 1.5rem;
  text-align: center;
  width: 320px;
  outline: none;
  box-shadow: 1px 2px 5px 0px rgba(0,0,0,0.75);
}
button {
  color: #FDFDFD;
  background-color: #AC485A;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  display: flex;
  align-items: center;
  justify-content: center;
}

button img {
  margin: 0;
  max-width: 1.5rem;
  min-height: 1.5rem;
}

button:hover {
  background-color: #AC485A;
  opacity: 0.8;
  box-shadow: 1px 2px 5px 0px rgb(99, 92, 92);
}

#list {
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  list-style: none;
}

.todo-container {
  box-shadow: 1px 2px 5px 0px rgba(0,0,0,0.75);
  cursor: move;
  padding: 1rem 1rem;
  background-color: #DCE1EB;
  border-radius: 1rem;
  margin: 1rem 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.todo-container h2 {
  font-size: 1.5rem;
  margin: 1rem 0;
}

.todo-container h2.done {
  text-decoration: line-through;
  color: #AC485A;
}

.todo-container p {
  font-size: 1rem;
  margin: 1rem 0;
}

.info-container {
  display: start;
  flex-direction: column  ;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.button-container {
  display: flex;
  gap: 1rem;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;
  backdrop-filter: blur(3px);
}

.modal.closed {
  display: none;
}

.modal-content {
  max-width: 320px;
  padding: 1rem;
  background-color: #DCE1EB;
  border-radius: 1rem;
  box-shadow: 1px 2px 5px 0px rgba(0,0,0,0.75);
}

.modal-content h2 {
  font-size: 1.5rem;
  margin: 1rem 0;
}

.modal-buttons {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  width: 100%;
}

#edit-field {
  width:100%;
  margin: 1rem 0;
}

#show {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-width: 320px;
  margin-top: 0.5rem;
  margin-bottom: 1rem;
  padding: 0.5rem 1rem;
  background-color: #DCE1EB;
  border-radius: 1rem;
  box-shadow: 1px 2px 5px 0px rgba(0,0,0,0.75);
}

#show label {
  margin-left: 0.5rem;
}


#show label input {
  margin-right: 0.25rem;
}

@media (min-width: 600px) {
  .container {
    max-width: none;
    width: 100%;
  }
  #list {
    margin: auto;
    padding: 0 4rem;
    flex-flow: row wrap;
    gap: 1rem;
    justify-content: space-around;
  }

  .todo-container {
    flex:1;
    min-width: 320px;
    max-width: 420px;
  }

}